Skip to content

Listing Document Types

List document types supported by the platform

The "list document types" endpoint allows you to retrieve a paginated list of the various Document Types supported by the platform.

Endpoint

MethodUrl
GET/v1.0/document-types

Request Parameters

page_size
•
number

The page size for search result pagination. If not provided, the service will default to 50 items.

page_token
•
string

The page to fetch, if any. This is the next_page_token value returned from the previous request.

Sample Request

bash
Copied
1curl -X GET 'https://api.worklayer.com/v1.0/document-types' \
2-H 'Authorization: Bearer {token}'

Response

data
•
list

The document types supported by the platform. See the Document Type reference page for more information. The order of these document types should not be depended upon.

next_page_token
•
string

The pagination token to retrieve the next page of results. If the value is "" or null, no further results exist.

Sample Response

json
Copied
1{
2 "data": [
3 {
4 "id": "K1",
5 "name": "K-1",
6 },
7 {
8 "id": "1099_B",
9 "name": "1099-B, 1099-COMPOSITE",
10 },
11 {
12 "id": "FOREIGN_BANK_STMT",
13 "name": "Last month bank statement",
14 }
15 ],
16 "next_page_token": "ZGF0ZS9kYXRlX2NyZWF0ZWQvZGVzYy8xNjk0MTAwNzQ5MzY5"
17}

Errors

  1. Forbidden: API Client cannot list documents types.
  2. Unauthorized: API Client does not have valid credentials.
  3. BadRequest: There was a malformed request.
Last updated on October 11, 2023